Bug 261754 - [patch] Improve duplicates search by filtering out more (system and Qt) core functions
Summary: [patch] Improve duplicates search by filtering out more (system and Qt) core ...
Status: RESOLVED FIXED
Alias: None
Product: drkonqi
Classification: Applications
Component: backtraceparsing (show other bugs)
Version: unspecified
Platform: Unlisted Binaries All
: NOR normal (vote)
Target Milestone: ---
Assignee: George Kiagiadakis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-31 23:13 UTC by Dario Andres
Modified: 2011-04-29 15:39 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Proposed patch (1.95 KB, patch)
2010-12-31 23:13 UTC, Dario Andres
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dario Andres 2010-12-31 23:13:08 UTC
Created attachment 55430 [details]
Proposed patch

Version:           unspecified (using Devel) 
OS:                All

Attached patch filters out more system and Qt core calls that may appear or not on duplicates; as an attempt to make the duplicates search more reliable.

It's a simple patch but I wanted a second opinion/review before commiting

Reproducible: Didn't try
Comment 1 George Kiagiadakis 2011-04-29 15:39:28 UTC
Git commit c05ec0aa8194068e7a36152acea3938529b973a7 by George Kiagiadakis, on behalf of Dario Andres Rodriguez.
Committed on 29/04/2011 at 14:31.
Pushed by gkiagia into branch 'master'.

Improve duplicates search by filtering out more (system and Qt) core functions

This patch filters out more system and Qt core calls that may appear or not
on duplicates; as an attempt to make the duplicates search more reliable.

BUG: 261754

M  +13   -5    drkonqi/parser/backtraceparser.cpp     

http://commits.kde.org/kde-runtime/c05ec0aa8194068e7a36152acea3938529b973a7